<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>FetchItemQueues (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FetchItemQueues (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FetchItemQueues.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/fetcher/FetchItemQueue.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/fetcher/FetchNode.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/FetchItemQueues.html" target="_top">Frames</a></li>
<li><a href="FetchItemQueues.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.fetcher</div>
<h2 title="Class FetchItemQueues" class="title">Class FetchItemQueues</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.nutch.fetcher.FetchItemQueues</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FetchItemQueues</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block">A collection of queues that keeps track of the total number of items, and
 provides items eligible for fetching from any queue.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#DEFAULT_ID">DEFAULT_ID</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#QUEUE_MODE_DOMAIN">QUEUE_MODE_DOMAIN</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#QUEUE_MODE_HOST">QUEUE_MODE_HOST</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#QUEUE_MODE_IP">QUEUE_MODE_IP</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#FetchItemQueues-org.apache.hadoop.conf.Configuration-">FetchItemQueues</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.apache.nutch.fetcher.FetchItemQueues.QueuingStatus</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#addFetchItem-org.apache.nutch.fetcher.FetchItem-">addFetchItem</a></span>(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.apache.nutch.fetcher.FetchItemQueues.QueuingStatus</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#addFetchItem-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">addFetchItem</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
            <a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#checkExceptionThreshold-java.lang.String-">checkExceptionThreshold</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;queueid)</code>
<div class="block">Increment the exception counter of a queue in case of an exception e.g.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#checkQueueMode-java.lang.String-">checkQueueMode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;queueMode)</code>
<div class="block">Check whether queue mode is valid, fall-back to default mode if not.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#checkTimelimit--">checkTimelimit</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#dump--">dump</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#emptyQueues--">emptyQueues</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#finishFetchItem-org.apache.nutch.fetcher.FetchItem-">finishFetchItem</a></span>(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#finishFetchItem-org.apache.nutch.fetcher.FetchItem-boolean-">finishFetchItem</a></span>(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it,
               boolean&nbsp;asap)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#getFetchItem--">getFetchItem</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../org/apache/nutch/fetcher/FetchItemQueue.html" title="class in org.apache.nutch.fetcher">FetchItemQueue</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#getFetchItemQueue-java.lang.String-">getFetchItemQueue</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#getQueueCount--">getQueueCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#getQueueCountMaxExceptions--">getQueueCountMaxExceptions</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#getTotalSize--">getTotalSize</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/fetcher/FetchItemQueues.html#redirectIsQueuedRecently-org.apache.hadoop.io.Text-">redirectIsQueuedRecently</a></span>(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;redirUrl)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_ID">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_ID</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> DEFAULT_ID</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.fetcher.FetchItemQueues.DEFAULT_ID">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEUE_MODE_HOST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEUE_MODE_HOST</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> QUEUE_MODE_HOST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.fetcher.FetchItemQueues.QUEUE_MODE_HOST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEUE_MODE_DOMAIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>QUEUE_MODE_DOMAIN</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> QUEUE_MODE_DOMAIN</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.fetcher.FetchItemQueues.QUEUE_MODE_DOMAIN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="QUEUE_MODE_IP">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>QUEUE_MODE_IP</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> QUEUE_MODE_IP</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.fetcher.FetchItemQueues.QUEUE_MODE_IP">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FetchItemQueues-org.apache.hadoop.conf.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FetchItemQueues</h4>
<pre>public&nbsp;FetchItemQueues(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/conf/Configuration.html?is-external=true" title="class or interface in org.apache.hadoop.conf">Configuration</a>&nbsp;conf)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="checkQueueMode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkQueueMode</h4>
<pre>protected static&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;checkQueueMode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;queueMode)</pre>
<div class="block">Check whether queue mode is valid, fall-back to default mode if not.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queueMode</code> - queue mode to check</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>valid queue mode or default</dd>
</dl>
</li>
</ul>
<a name="getTotalSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTotalSize</h4>
<pre>public&nbsp;int&nbsp;getTotalSize()</pre>
</li>
</ul>
<a name="getQueueCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQueueCount</h4>
<pre>public&nbsp;int&nbsp;getQueueCount()</pre>
</li>
</ul>
<a name="getQueueCountMaxExceptions--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQueueCountMaxExceptions</h4>
<pre>public&nbsp;int&nbsp;getQueueCountMaxExceptions()</pre>
</li>
</ul>
<a name="addFetchItem-org.apache.hadoop.io.Text-org.apache.nutch.crawl.CrawlDatum-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFetchItem</h4>
<pre>public&nbsp;org.apache.nutch.fetcher.FetchItemQueues.QueuingStatus&nbsp;addFetchItem(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;url,
                                                                           <a href="../../../../org/apache/nutch/crawl/CrawlDatum.html" title="class in org.apache.nutch.crawl">CrawlDatum</a>&nbsp;datum)</pre>
</li>
</ul>
<a name="addFetchItem-org.apache.nutch.fetcher.FetchItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFetchItem</h4>
<pre>public&nbsp;org.apache.nutch.fetcher.FetchItemQueues.QueuingStatus&nbsp;addFetchItem(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it)</pre>
</li>
</ul>
<a name="finishFetchItem-org.apache.nutch.fetcher.FetchItem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finishFetchItem</h4>
<pre>public&nbsp;void&nbsp;finishFetchItem(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it)</pre>
</li>
</ul>
<a name="finishFetchItem-org.apache.nutch.fetcher.FetchItem-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finishFetchItem</h4>
<pre>public&nbsp;void&nbsp;finishFetchItem(<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;it,
                            boolean&nbsp;asap)</pre>
</li>
</ul>
<a name="getFetchItemQueue-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFetchItemQueue</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/fetcher/FetchItemQueue.html" title="class in org.apache.nutch.fetcher">FetchItemQueue</a>&nbsp;getFetchItemQueue(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;id)</pre>
</li>
</ul>
<a name="getFetchItem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFetchItem</h4>
<pre>public&nbsp;<a href="../../../../org/apache/nutch/fetcher/FetchItem.html" title="class in org.apache.nutch.fetcher">FetchItem</a>&nbsp;getFetchItem()</pre>
</li>
</ul>
<a name="checkTimelimit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkTimelimit</h4>
<pre>public&nbsp;int&nbsp;checkTimelimit()</pre>
</li>
</ul>
<a name="emptyQueues--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>emptyQueues</h4>
<pre>public&nbsp;int&nbsp;emptyQueues()</pre>
</li>
</ul>
<a name="checkExceptionThreshold-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>checkExceptionThreshold</h4>
<pre>public&nbsp;int&nbsp;checkExceptionThreshold(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;queueid)</pre>
<div class="block">Increment the exception counter of a queue in case of an exception e.g.
 timeout; when higher than a given threshold simply empty the queue.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queueid</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>number of purged items</dd>
</dl>
</li>
</ul>
<a name="redirectIsQueuedRecently-org.apache.hadoop.io.Text-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>redirectIsQueuedRecently</h4>
<pre>public&nbsp;boolean&nbsp;redirectIsQueuedRecently(<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a>&nbsp;redirUrl)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>redirUrl</code> - redirect target</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if redirects are deduplicated and redirUrl has been queued
         recently</dd>
</dl>
</li>
</ul>
<a name="dump--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dump</h4>
<pre>public&nbsp;void&nbsp;dump()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FetchItemQueues.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/fetcher/FetchItemQueue.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/fetcher/FetchNode.html" title="class in org.apache.nutch.fetcher"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/fetcher/FetchItemQueues.html" target="_top">Frames</a></li>
<li><a href="FetchItemQueues.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
